package Logica;
import java.util.Vector;

public class Gestion{
	private Vector<Transaccion> gestiones;
	private int suma;
	private static int total;
	
	public Gestion() {
		this.gestiones=new Vector<Transaccion>();
		this.suma=0;
		Gestion.total=0;
	}
	
	public void aniadirGasto(Transaccion transaccion) {
		this.gestiones.add(transaccion);
		this.suma+=transaccion.getDinero();
		Gestion.total+=transaccion.getDinero();
	}
	
	public int getSuma() {
		return this.suma;
	}
	
	public static int getTotal() {
		return Gestion.total;
	}
	
	public Vector<Transaccion> getElementos(){
		return this.gestiones;
	}
	
	public void alterarVisibilidad(boolean visibilidad, int elemento) {
		if(this.gestiones.get(elemento).alterarVisivilidad(visibilidad)) {
			if(this.gestiones.get(elemento).getVisivilidad()) {
				this.suma+=this.gestiones.get(elemento).getDinero();
				Gestion.total+=this.gestiones.get(elemento).getDinero();
			}else {
				this.suma-=this.gestiones.get(elemento).getDinero();
				Gestion.total-=this.gestiones.get(elemento).getDinero();
			}
			
		}
	}

}
